/**
 * 
 */
package org.richfaces.realworld.search;

import java.util.Date;

/**
 * @author Andrey Markavtsov
 *
 */
public class SearchOptionByImage extends ISearchOption {
	
	String fileName;
	
	Integer fileSize;
	
	Date uploadedDate;

	/* (non-Javadoc)
	 * @see org.richfaces.realworld.search.ISearchOption#getName()
	 */
	public String getName() {
		return "Search By Image";
	}


	/* (non-Javadoc)
	 * @see org.richfaces.realworld.search.ISearchOption#getTemplate()
	 */
	public String getTemplate() {
		return "/includes/search/searchByImageTemplate.xhtml";
	}


	public String getFileName() {
		return fileName;
	}


	public void setFileName(String fileName) {
		this.fileName = fileName;
	}


	public Integer getFileSize() {
		return fileSize;
	}


	public void setFileSize(Integer fileSize) {
		this.fileSize = fileSize;
	}


	public Date getUploadedDate() {
		return uploadedDate;
	}


	public void setUploadedDate(Date uploadedDate) {
		this.uploadedDate = uploadedDate;
	}
	
	
}
